%define upstream_name    MARC-Charset
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Convert MARC-8 encoded strings to UTF-8
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MARC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GDBM_File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl(XML::SAX)
BuildArch:  noarch

%description
MARC::Charset is a package to assist you in converting converting data encoded
using MARC-8 character sets to Unicode (UTF-8).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorlib}/MARC
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.330.0-2.mga3
+ Revision: 369261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.33

* Fri Jul 08 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 120435
- update to 1.32

* Thu Jan 20 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 26475
- mageia rebuild
- imported package perl-MARC-Charset

